Package org.apache.solr.client.solrj.request

## Class ReplicasApi.CreateReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ReplicasApi.CreateReplicaResponse>
  - - org.apache.solr.client.solrj.request.ReplicasApi.CreateReplica

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ReplicasApi

    public static class ReplicasApi.CreateReplica
    extends SolrRequest<ReplicasApi.CreateReplicaResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`CreateReplica​(String collectionName, String shardName)` Create a CreateReplica request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ReplicasApi.CreateReplicaResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`RequestWriter.ContentWriter` `getContentWriter​(String expectedType)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setAsync​(String async)`
`void` `setDataDir​(String dataDir)`
`void` `setFollowAliases​(Boolean followAliases)`
`void` `setInstanceDir​(String instanceDir)`
`void` `setName​(String name)`
`void` `setNode​(String node)`
`void` `setNodeSet​(List<String> nodeSet)`
`void` `setNrtReplicas​(Integer nrtReplicas)`
`void` `setProperties​(Map<String,​String> properties)`
`void` `setPullReplicas​(Integer pullReplicas)`
`void` `setRoute​(String route)`
`void` `setSkipNodeAssignment​(Boolean skipNodeAssignment)`
`void` `setTlogReplicas​(Integer tlogReplicas)`
`void` `setType​(String type)`
`void` `setUlogDir​(String ulogDir)`
`void` `setWaitForFinalState​(Boolean waitForFinalState)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateReplica

    public CreateReplica​(String collectionName,
                         String shardName)

Create a CreateReplica request object.

Parameters:
  `collectionName` - Path param -
  `shardName` - Path param -

### Method Detail

#### setName

    public void setName​(String name)

#### setType

    public void setType​(String type)

#### setInstanceDir

    public void setInstanceDir​(String instanceDir)

#### setDataDir

    public void setDataDir​(String dataDir)

#### setUlogDir

    public void setUlogDir​(String ulogDir)

#### setRoute

    public void setRoute​(String route)

#### setNrtReplicas

    public void setNrtReplicas​(Integer nrtReplicas)

#### setTlogReplicas

    public void setTlogReplicas​(Integer tlogReplicas)

#### setPullReplicas

    public void setPullReplicas​(Integer pullReplicas)

#### setWaitForFinalState

    public void setWaitForFinalState​(Boolean waitForFinalState)

#### setFollowAliases

    public void setFollowAliases​(Boolean followAliases)

#### setAsync

    public void setAsync​(String async)

#### setNode

    public void setNode​(String node)

#### setSkipNodeAssignment

    public void setSkipNodeAssignment​(Boolean skipNodeAssignment)

#### setProperties

    public void setProperties​(Map<String,​String> properties)

#### setNodeSet

    public void setNodeSet​(List<String> nodeSet)

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`

#### createResponse

    protected ReplicasApi.CreateReplicaResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ReplicasApi.CreateReplicaResponse>`
Returns:
  The `ResponseParser`